/*
** ===========================================================================
** $RCSfile: CListTest.h,v $
** $Revision: 1.1.2.1 $
** $Date: 1999/09/09 17:49:57 $
** $Author: tdukes $
** ===========================================================================
*/

/*
** Gtk_Button
*/

#include "TestFixture.h"

#ifndef CListTest_h
#define CListTest_h "$Id: CListTest.h,v 1.1.2.1 1999/09/09 17:49:57 tdukes Exp $"


class CListTest : public TestFixture 
{
public:
  static TestFixture *  create ();
  virtual              ~CListTest () { };
  virtual void          destroyTest () { delete theTest; theTest = 0; }
private:
                        CListTest ();
  // functions
  void add1000 ();
  void add10000 ();
  void clear ();
  void remove_focus_row ();
  void show_titles ();
  void hide_titles ();
  void select ( gint row_in, gint column_in, GdkEventButton * event_in,  GtkWidget * button_in );
  void unselect ( gint row_in, gint column_in, GdkEventButton * event_in, GtkWidget * button_in );
  void insert_row ();
  void remove_selection ();
  void warning_test ();
  void undo_selection ();
  void toggle_sel_mode ();
  void click_column ( gint column );

  Gtk_OptionMenu * build_option_menu ();
  // data
  static CListTest * theTest;

  Gtk_CList      *_clist;
  gint            _clist_rows;
  Gtk_OptionMenu *_clist_omenu;
};


#endif
